Bug 127051 - Digikam fails to erase files from camera
Summary: Digikam fails to erase files from camera
Status: RESOLVED NOT A BUG
Alias: None
Product: digikam
Classification: Unclassified
Component: Import-Gphoto2 (show other bugs)
Version: unspecified
Platform: RedHat RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-09 23:32 UTC by Richard E Miles
Modified: 2017-08-16 06:14 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard E Miles 2006-05-09 23:32:25 UTC
Version:           digikam-0.8.1-2 (using KDE KDE 3.5.2)
Installed from:    RedHat RPMs
Compiler:          gcc-3.4.5-2 
OS:                Linux

When trying to delete the camera files for Canon PowerShot A85 most of the time it produces a popup with failed to delete camera file. This is a CentOS 4.3 system with digikam-0.8.1-2.el4.kb
This can be produced using delete all files selection.
I can produce this problem with the camera after downloading the pictures from the camera.
I expect the software to delete all files from the camera
Comment 1 Marcus Meissner 2006-05-10 08:07:14 UTC
this is likely a libgphoto2 problem, deletion of files was problematic 
on Canon cameras. It is likely better when libgphoto2 2.2 is released.
Comment 2 caulier.gilles 2006-05-10 10:21:27 UTC
Thanks for this informations Marcus. I will update digiKam Gphoto2 interafce to support next Gphoto2 release before 0.9.0 final. It's in TODO file (:=))

Gilles Caulier
Comment 3 Christian Weiske 2006-06-28 09:28:26 UTC
I think its safe to close this bug. My Canon ixus 2s does have the same problem, when deleting with digikam or with gphoto2 directly.
Comment 4 caulier.gilles 2006-06-28 18:15:05 UTC
OK. this is want mean this bug is relevant of gphoto2 drivers, not digiKam itself.

Please report this problem into Gphoto2 project. Thanks in advance

Gilles Caulier
Comment 5 Richard E Miles 2006-06-28 23:06:47 UTC
I will report the bug but I don't know who the report bugs to for ghoto2. Could you tell me where?
Comment 6 caulier.gilles 2006-06-29 07:59:06 UTC
well, try to contact the gphoto2 devel ML. Look at this url :

http://www.gphoto.org/mailinglists/

Gilles
Comment 7 Marcus Meissner 2006-06-29 08:00:10 UTC
before you do, test libgphoto2 2.2 

it has fixes for the Canon deletion problems.
Comment 8 caulier.gilles 2006-06-29 08:05:21 UTC
Thanks Marcus to following this file (:=)))

Gilles
Comment 9 Richard E Miles 2006-06-29 23:53:44 UTC
On 29 Jun 2006 06:00:11 -0000
Marcus Meissner <marcus@jet.franken.de> wrote:

[bugs.kde.org quoted mail]
I tried to compile the libghoto2-2.2.1 file libgphoto2-2.2.1.tar.bz2 but got an error1 and error2 so I had no success. I am using contos 4.3 and would have preferred an rpm but could not find any. 
Comment 10 caulier.gilles 2006-08-25 16:56:29 UTC
Richard, report bug into gphoto2 bugzilla :

http://gphoto.org/bugs

Thanks in advance

Gilles Caulier
Comment 11 Nadav Kavalerchik 2006-11-15 14:59:51 UTC
i have similar issue with canon a95 and i reported a bug report with gphoto2
http://sourceforge.net/tracker/index.php?func=detail&aid=1596999&group_id=8874&atid=108874

but, digikam uses system:/media/camera to interface the camera while i choose (and auto detect) the camera as Canon a95 ptp mode (and set it as default) which works with no error while system:/media/camera is returning errors trying to delete images.

is it possible to use my default detected interface instead of system:/media/camera ?